ruby+watir 的下载和安装

上一篇 / 下一篇  2009-09-14 16:05:45 / 个人分类:测试自动化

Watir 是 Web Application Testing in Ruby 的缩写,是一个优秀的开源Web测试工具。今天刚开始接触到这个东西,所以先记录一下。

在安装Watir时遇到一些小挫折,记录下来做个备忘。

1. 首先要安装Ruby。在Windows上安装Ruby非常简单,只需要下载相应的exe,执行即可。
    下载页面:http://rubyforge.org/frs/?group_id=167

2. 按照教程,执行下面的两个Gem命令(网络安装)

  gem update --system
  gem install watir

3.如果用的是IE8以下版本,再去安装一个IE开发工具条。IE8里已经内置了这个工具,只要在浏览器里按F12就可以调出。
 
点这里下载

安装完毕,看似简单得不能再简单。但是开始运行那个著名的search on google的例子,却怎么也搞不定。
在命令行窗口敲irb,呵呵,顺利进入irb命令状态。开始试验:

  Require "watir"
  ie=Watir::IE.new
  ie.goto "
www.google.com"

第二行就失败了,怎么也创建不出IE对象。看了半天文档也没有更详细的解释了,于是在google上搜啊搜,发现也有人碰到了类似问题,但是按着一些回答试了试,还是不行。后来终于琢磨出来,是一些组件安装了多个版本造成的。解决方法如下:

1. 执行 gem list,列出所有安装的组件。每个组件后面会有一个括号,里面有一组数字就代表了版本号,比如0.4.4。如果括号里有两组或以上这样的数字,就说明安装了多个版本。

2. 对于所有安装多个版本的组件执行 gem uninstall XXX (XXX为组件名),然后选择想要删除的版本,确保每个组件都只有一个版本。我是都保留了最新的。

再运行上面的例子,一切OK,可以开始做自动测试脚本了!(我安装的时候,一路顺风,哈哈!)

Example:  (经典的HelloWorld)

puts "Hello World!"
require 'watir'
ie=Watir::IE.new
ie.goto("http://www.google.cn")
ie.link(:text , "图片").click
ie.text_field(:name,"q").set("webex")
ie.button(:name,"btnG").click

ie.goto("http://www.google.cn")
ie.link(:href , "http://ditu.google.cn/maps?hl=zh-CN&tab=wl").click
ie.speed=:fast
ie.close
ie = Watir::IE.start("http://www.google.cn")
ie.text_field(:name,"q").set("伤心小箭")
ie.button(:name,"btnG").click
ie.text_field(:name,"q").clear
ie.text_field(:name,"q").set("watir")
ie.button(:name,"btnG").click
ie.close

TAG:

wfz0p的个人空间 引用 删除 wfz0p   /   2011-12-20 09:59:13
多谢了,修改了很久都没成功,按照你的方法试了一下,果然没问题了~
不过需要注意一下,不能让commonwatir和firewatir的版本高过watir,如果比watir的版本高,就要把比较高的版本都卸载掉,这样运行才没有问题。
总之谢谢了~
 

评分:0

我来说两句

显示全部

:loveliness: :handshake :victory: :funk: :time: :kiss: :call: :hug: :lol :'( :Q :L ;P :$ :P :o :@ :D :( :)

我的栏目

日历

« 2019-07-16  
 123456
78910111213
14151617181920
21222324252627
28293031   

数据统计

  • 访问量: 3503
  • 日志数: 8
  • 建立时间: 2009-09-14
  • 更新时间: 2009-10-09

RSS订阅

Open Toolbar